# QCA::CRLContext Class Reference
[QCA provider API]

X.509 certificate revocation list provider. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::CRLContext:

Collaboration diagram for QCA::CRLContext:

[legend]

List of all members.

## Public Member Functions

virtual bool | compare (const CRLContext *other) const =0
| CRLContext (Provider *p)
virtual const CRLContextProps * | props () const =0

## Detailed Description

X.509 certificate revocation list provider.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want CRL instead.

## Constructor & Destructor Documentation

QCA::CRLContext::CRLContext | ( | Provider * | p | ) | `[inline]`

Standard constructor.

Parameters:

  | p | the provider associated with this context

## Member Function Documentation

virtual bool QCA::CRLContext::compare | ( | const CRLContext * | other | ) | const`[pure virtual]`

Returns true if this CRL is equal to another CRL, otherwise false.

Parameters:

  | other | the CRL to compare with

virtual const CRLContextProps* QCA::CRLContext::props | ( |  | ) | const`[pure virtual]`

Returns a pointer to the properties of this CRL.

The documentation for this class was generated from the following file:

- qcaprovider.h